Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226451 - Merge Review: sysstat
Summary: Merge Review: sysstat
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:04 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: sysstat-8.0.2-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-09 10:48:24 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:04:20 UTC
Fedora Merge Review: sysstat

http://cvs.fedora.redhat.com/viewcvs/devel/sysstat/
Initial Owner: varekova@redhat.com

Comment 1 Marcela Mašláňová 2007-02-23 11:45:11 UTC
Source:
W: sysstat macro-in-%changelog _includedir
Arch:
W: sysstat log-files-without-logrotate /var/log/sa
W: sysstat dangerous-command-in-%preun rm
W: sysstat dangerous-command-in-%trigger cp
W: sysstat service-default-enabled /etc/rc.d/init.d/sysstat
E: sysstat subsys-not-used /etc/rc.d/init.d/sysstat

md5sum ok, but new version was released.
Defattr: 4 parametres

Myabe you can rename patches in numeric order.

Comment 2 Ivana Varekova 2007-03-05 08:28:06 UTC
There should be a major changes which I want to discuss with upstream, so it
will take some time to fix these problems. 

Comment 3 Ivana Varekova 2007-11-08 15:03:24 UTC
All problems should be fixed in sysstat-8.0.2-2.fc9. 
Could you please look at it?

Comment 4 Marcela Mašláňová 2007-11-08 15:26:06 UTC
> sysstat.i386: W: log-files-without-logrotate /var/log/sa
problem?
> sysstat.i386: W: dangerous-command-in-%preun rm
It's removing logs with sysstat good solution?
> sysstat.i386: W: service-default-enabled /etc/rc.d/init.d/sysstat
that's ok
> sysstat.i386: E: subsys-not-used /etc/rc.d/init.d/sysstat
You don't use locks, that's also ok?

Use macros from /usr/lib/rpm/i686-linux/macros
var = %_localstatedir
etc = %_sysconfdir

Comment 5 Ivana Varekova 2007-11-09 10:46:32 UTC
(In reply to comment #4)
> > sysstat.i386: W: log-files-without-logrotate /var/log/sa
> problem?
This is OK becouse of sysstat uses its own version of logrotate

> > sysstat.i386: W: dangerous-command-in-%preun rm
> It's removing logs with sysstat good solution?
Yes, there is no problem.

> > sysstat.i386: W: service-default-enabled /etc/rc.d/init.d/sysstat
> that's ok
yes, it is not standard daemon.

> > sysstat.i386: E: subsys-not-used /etc/rc.d/init.d/sysstat
> You don't use locks, that's also ok?
Again - no problem because of it is not standard daemon.

> Use macros from /usr/lib/rpm/i686-linux/macros
> var = %_localstatedir
> etc = %_sysconfdir
Thanks, fixed (sysstat-8.0.2-3.fc9).


Comment 6 Marcela Mašláňová 2007-11-09 10:48:24 UTC
Ok


Note You need to log in before you can comment on or make changes to this bug.